post
https://www.formstack.com/api/v2/form//field.json
Create a new field for the specified form
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Create a new field for the specified form
POST /api/v2/form/12345/field.json HTTP/1.1
Host: www.formstack.com
Authorization: Bearer [[app:oauth_token]]
Accept: application/json
Content-Type: application/json
{"field_type":"name","label":"Name","attributes":{"show_prefix":"1","show_middle":"1"}}curl -X POST -i -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: Bearer [[app:oauth_token]]" -d '{"field_type":"name","label":"Name","attributes":{"show_prefix":"1","show_middle":"1"}}' https://formstack.com/api/v2/form/12345/field.jsonField Attributes
See Field Types for more information about the attributes available to set in the attributes property.
Field Logic
See Field Logic for more information about the logic property.
Field Calculation
See Field Calculations for more information about the calculation property.
